> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List deal types

> List the deal types of the CRM connected to the workspace (only Hubspot is supported).

Lists the deal types of the CRM connected to the workspace (only Hubspot is supported). Use it to discover the valid `typeId` values accepted by the [update deal](/api-reference/endpoint/patch_deal) endpoint, or to resolve the label of the `typeId` returned by a deal.


## OpenAPI

````yaml GET /v1/deals/types
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/deals/types:
    get:
      description: >-
        List the deal types of the CRM connected to the workspace (only Hubspot
        is supported).
      operationId: getV1DealsTypes
      responses:
        '200':
          description: Deal types were successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      types:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: >-
                                The deal type id in the CRM. This is the id
                                accepted as `typeId` by the update deal
                                endpoint.
                            label:
                              type: string
                              description: The deal type label in the CRM.
                          required:
                            - id
                            - label
                    required:
                      - types
                required:
                  - result
        '400':
          description: >-
            The workspace has no connected CRM, or the connected CRM is not
            supported (only Hubspot is supported).
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````